<template>
    <b-row align-v="center" class="mb-3">
        <b-col cols="4">
            <label>{{label}}</label>
        </b-col>
        <b-col :cols="cols">
            <input v-model="inputValue"
              class="form-control" type="number" v-bind:placeholder="label">
        </b-col>
    </b-row>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Component from 'vue-class-component';
import BaseComponent from '../BaseComponent';

@Component({
  props: {
    label: String,
    cols: { default: 8 },
    value: {},
  },
})
export default class FormNumberInput extends BaseComponent {
  label!:string;

  value:any;

  cols!:number;

  // model:any=null;
  get inputValue() {
    return this.value;
  }

  set inputValue(val) {
    this.$emit('input', parseFloat(val));
  }
}
</script>

<style scoped lang="less">

</style>
